Summary:       Programs for Processing and Analysis of Astronomical Data
Name:          x11iraf
Version:       2.1
Release:       %mkrel 1
License:       MIT-like
Group:         Sciences/Astronomy

Url:           https://github.com/iraf-community/x11iraf
Source0:       https://github.com/iraf-community/x11iraf/archive/v%{version}/{name]-%{version}.tar.gz
Patch0:        x11iraf-makefile.patch

BuildRequires: iraf
BuildRequires: iraf-devel
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(expat)
BuildRequires: pkgconfig(readline)
BuildRequires: pkgconfig(cfitsio)
BuildRequires: pkgconfig(xmlrpc)
BuildRequires: tcsh
BuildRequires: flex
BuildRequires: imake
BuildRequires: pkgconfig(ncurses)
BuildRequires: gccmakedep
BuildRequires: pkgconfig(tcl)
#Mageia
BuildRequires: pkgconfig(xt)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(xaw3d)
BuildRequires: pkgconfig(xaw7)
BuildRequires: pkgconfig(xpm)

%description
IRAF stands for the Image Reduction and Analysis Facility. It
is the de facto standard for the general processing of astronomical images
and spectroscopy from the ultraviolet to the far infrared.  IRAF is a
product of the National Optical Astronomy Observatories (www.noao.edu).

%prep
%autosetup -p1

sed -i 's|use=xterm-r5|use=xterm|' xgterm/xgterm.terminfo

%build
%set_build_flags

%define iraf %{_libdir}/iraf/
%define host unix/
%define hlib %{iraf}%{host}hlib/
unset IRAFARCH
export IRAFARCH=`%{hlib}irafarch.sh`

export PATH=$PATH:%{iraf}%{host}bin:%{iraf}%{host}bin.${IRAFARCH}
# Parallel make does not work
make

%install
%make_install PREFIX=%{buildroot}%{_prefix}

%files
%doc CHANGES.md README.md
%license LICENSES
%{_bindir}/obmsh
%{_bindir}/xgterm
%{_bindir}/ximtool
%{_bindir}/xtapemon
%ifarch %{ix86} %{arm}
%{_bindir}/ism_wcspix.e
%endif
%{_mandir}/man1/*.1*


%changelog
* Wed Mar 29 2023 daviddavid <daviddavid> 2.1-1.mga9
+ Revision: 1950774
- new version: 2.1
- fix build and update files list
- use a named-versioned git tarball
+ tv <tv>
- New Upstream
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Feb 11 2020 umeabot <umeabot> 2.0-21.mga8
+ Revision: 1489136
- Mageia 8 Mass Rebuild

* Tue Sep 11 2018 wally <wally> 2.0-20.mga7
+ Revision: 1258439
- fix build
- add patches from Debian
+ eatdirt <eatdirt>
- Rebuild for new cfitsio
+ daviddavid <daviddavid>
- rebuild for new xmlrpc-c 1.51.0

* Sat Sep 23 2017 cjw <cjw> 2.0-17.mga7
+ Revision: 1158182
- pass optflags to make to fix debug packages

* Tue Nov 22 2016 eatdirt <eatdirt> 2.0-16.mga6
+ Revision: 1068819
- Rebuild for new cfitsio
+ pterjan <pterjan>
- Try harder to get rid of all precompiled binaries

* Sat Nov 12 2016 pterjan <pterjan> 2.0-14.mga6
+ Revision: 1066876
- Really delete all prebuilt binaries

* Thu Mar 10 2016 eatdirt <eatdirt> 2.0-13.mga6
+ Revision: 988752
- Rebuild for new cfitsio

* Sat Feb 27 2016 luigiwalser <luigiwalser> 2.0-12.mga6
+ Revision: 979784
- try harder to use stdargs instead of varargs

* Mon Feb 08 2016 umeabot <umeabot> 2.0-11.mga6
+ Revision: 942833
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.0-10.mga5
+ Revision: 747893
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 tv <tv> 2.0-9.mga5
+ Revision: 725281
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0-8.mga5
+ Revision: 690529
- Mageia 5 Mass Rebuild

* Fri Feb 28 2014 eatdirt <eatdirt> 2.0-7.mga5
+ Revision: 597735
- Rebuild for new cfitsio

* Tue Oct 22 2013 umeabot <umeabot> 2.0-6.mga4
+ Revision: 541497
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 joequant <joequant> 2.0-5.mga4
+ Revision: 496010
- rebuild with tinfo

* Tue Aug 13 2013 joequant <joequant> 2.0-4.mga4
+ Revision: 466102
- fix 64-bit problem

* Tue Aug 13 2013 joequant <joequant> 2.0-3.mga4
+ Revision: 466018
- fix ximtool crash - looks like a 64-bit pointer issue
- use system Xpm

* Sun Aug 11 2013 eatdirt <eatdirt> 2.0-2.mga4
+ Revision: 465543
- Adding missing man files, clean spec file

* Sun Jul 28 2013 joequant <joequant> 2.0-1.mga4
+ Revision: 459344
- more iraf spec tweaks
- add bison
- tweak buildrequires
- add byacc to builddepends
- initial checkin
- Created package structure for x11iraf.

